Package: groovy.console.ui.text

## [Java] Class StructuredSyntaxResources

- groovy.console.ui.text.StructuredSyntaxResources

-     public final class StructuredSyntaxResources
      extends Object

  Contains all the basic resources and values used by the utility framework.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Font` | `EDITOR_FONT` | Default monospaced font for editors.
    `static String` | `FIND` | Presentation name for find actions.
    `static String` | `FIND_NEXT` | Presentation name for find-next actions.
    `static Font` | `LARGE_FONT` | Large UI font used by legacy console components.
    `static Font` | `MEDIUM_FONT` | Medium UI font used by legacy console components.
    `static String` | `PRINT` | Presentation name for print actions.
    `static String` | `REDO` | Presentation name for redo actions.
    `static String` | `REPLACE` | Presentation name for replace actions.
    `static Font` | `SMALL_FONT` | Small UI font used by legacy console components.
    `static Clipboard` | `SYSTEM_CLIPBOARD` | Shared clipboard used by the console text components.
    `static String` | `UNDO` | Presentation name for undo actions.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Font EDITOR_FONT

      Default monospaced font for editors.

    - #### public static final String FIND

      Presentation name for find actions.

    - #### public static final String FIND_NEXT

      Presentation name for find-next actions.

    - #### public static final Font LARGE_FONT

      Large UI font used by legacy console components.

    - #### public static final Font MEDIUM_FONT

      Medium UI font used by legacy console components.

    - #### public static final String PRINT

      Presentation name for print actions.

    - #### public static final String REDO

      Presentation name for redo actions.

    - #### public static final String REPLACE

      Presentation name for replace actions.

    - #### public static final Font SMALL_FONT

      Small UI font used by legacy console components.

    - #### public static final Clipboard SYSTEM_CLIPBOARD

      Shared clipboard used by the console text components.

    - #### public static final String UNDO

      Presentation name for undo actions.